POST api/ItemMaster/AddUpdateItemMaster
Request Information
URI Parameters
None.
Body Parameters
ItemMasterModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ItemId | integer |
None. |
|
| FreeItemId | integer |
None. |
|
| ItemName | string |
Required String length: inclusive between 0 and 30 |
|
| ItemCode | string |
Matching regular expression pattern: ^[0-9]{1,12}$ String length: inclusive between 0 and 30 |
|
| SKU | string |
None. |
|
| Amount | decimal number |
Required |
|
| HSN_ID | integer |
Required |
|
| HSNCode | string |
Required String length: inclusive between 0 and 30 |
|
| Description | string |
None. |
|
| Tax_Rate | integer |
Required |
|
| Full_Description | string |
None. |
|
| CGST | decimal number |
None. |
|
| SGST | decimal number |
None. |
|
| IGST | decimal number |
None. |
|
| Unit | string |
None. |
|
| UnitId | integer |
Required |
|
| Photo | string |
Required |
|
| GST | decimal number |
Required |
|
| CreatedBy | integer |
None. |
|
| CreatedDate | date |
None. |
|
| UpdatedBy | integer |
None. |
|
| UpdatedDate | date |
None. |
|
| GSTInt | integer |
Required |
|
| ItemCategoryID | integer |
Required |
|
| ItemCategoryName | string |
String length: inclusive between 0 and 30 |
|
| DairyPlantID | integer |
None. |
|
| FreeSKUId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"itemId": 1,
"freeItemId": 2,
"itemName": "sample string 3",
"itemCode": "sample string 4",
"sku": "sample string 5",
"amount": 6.0,
"hsN_ID": 7,
"hsnCode": "sample string 8",
"description": "sample string 9",
"tax_Rate": 10,
"full_Description": "sample string 11",
"cgst": 12.0,
"sgst": 13.0,
"igst": 14.0,
"unit": "sample string 15",
"unitId": 16,
"photo": "sample string 17",
"gst": 18.0,
"createdBy": 19,
"createdDate": "2026-04-13T20:16:00.2643014+05:30",
"updatedBy": 21,
"updatedDate": "2026-04-13T20:16:00.2643014+05:30",
"gstInt": 23,
"itemCategoryID": 24,
"itemCategoryName": "sample string 25",
"dairyPlantID": 26,
"freeSKUId": 27
}
application/xml, text/xml
Sample:
<ItemMasterModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities"> <Amount>6</Amount> <CGST>12</CGST> <CreatedBy>19</CreatedBy> <CreatedDate>2026-04-13T20:16:00.2643014+05:30</CreatedDate> <DairyPlantID>26</DairyPlantID> <Description>sample string 9</Description> <FreeItemId>2</FreeItemId> <FreeSKUId>27</FreeSKUId> <Full_Description>sample string 11</Full_Description> <GST>18</GST> <GSTInt>23</GSTInt> <HSNCode>sample string 8</HSNCode> <HSN_ID>7</HSN_ID> <IGST>14</IGST> <ItemCategoryID>24</ItemCategoryID> <ItemCategoryName>sample string 25</ItemCategoryName> <ItemCode>sample string 4</ItemCode> <ItemId>1</ItemId> <ItemName>sample string 3</ItemName> <Photo>sample string 17</Photo> <SGST>13</SGST> <SKU>sample string 5</SKU> <Tax_Rate>10</Tax_Rate> <Unit>sample string 15</Unit> <UnitId>16</UnitId> <UpdatedBy>21</UpdatedBy> <UpdatedDate>2026-04-13T20:16:00.2643014+05:30</UpdatedDate> </ItemMasterModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
integerResponse Formats
application/json, text/json
Sample:
1
application/xml, text/xml
Sample:
<long xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</long>